EDIT - feature request #4754

Implement webservice to get the date of the last change or to check if there are any changes since a
certain date

03/30/2015 04:54 PM - Andreas Mller

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Mller % Done: 0%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

This can be implemented via the Auditing information.

Input will be a certain date, output boolean value saying if anything has changed since that date (any AuditEvent after this date
exists).

see also #4755

History

#1 - 03/30/2015 05:04 PM - Andreas Miiller

see also #4755 for a similar request

#2 - 01/06/2016 11:43 AM - Patrick Plitzner
- Assignee changed from Andreas Muiller to p.plitzner -

- Target version deleted (Redlist 2020)

#3 - 01/07/2016 11:07 AM - Andreas Kohlbecker
Is this a requirement for a special service only or a general feature?
Who is the audience for this information, is it for machines only or for humans? | am asking since our REST services naturally already implement the

protocol (HTTP header) to communicate this information. Only our persistence layer it not capable of providing correct the last updated timestamp for
complex objects.

BTW: the OAI-PMH webservice already implements a similar function.

#4 - 01/07/2016 12:18 PM - Andreas Miuller

It is meant for machines. Good to know about the http and OAI-PMH solutions.

However, most important here is to implement a functionality to really compute the data in persistence/service (probably services as buisness logic is
involved to know what data belongs to a certain data unit (e.g. which data belongs to a taxon and defines an update)

#5 - 12/06/2016 03:29 PM - Andreas Miiller

- Description updated

- Due date set to 05/31/2016

- Target version changed from 228 to Redlist 2020 - Tasks without Milestone

#6 - 11/18/2019 01:48 PM - Andreas Miiller

- Target version changed from Redlist 2020 - Tasks without Milestone to Release 5.12

#7 - 11/18/2019 01:48 PM - Andreas Miiller
- Due date deleted (05/31/2016)

- Assignee changed from Patrick Plitzner to Andreas Muiller

#8 - 11/19/2019 05:39 PM - Andreas Miiller
- Priority changed from New to Priority14
#9 - 01/15/2020 01:25 PM - Andreas Miiller

- Target version changed from Release 5.12 to Release 5.13

#10 - 03/09/2020 03:15 PM - Andreas Miiller

- Target version changed from Release 5.13 to Release 5.14

#11 - 04/08/2020 03:42 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#12 - 06/23/2020 01:45 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#13 - 11/30/2020 10:57 AM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19

#14 - 11/30/2020 12:37 PM - Andreas Kohlbecker

- Private changed from Yes to No

BTW: this is the relevant method in the AbstractOaiPmhController:
eu.etaxonomy.cdm.remote.controller.oaipmh.AbstractOaiPmhController.listRecords(@RequestParam(value="from", required=false) Date Time from,
@RequestParam(value="until", required=false) DateTime until, @RequestParam(value="metadataPrefix", required=true) MetadataPrefix
metadataPrefix, @RequestParam(value="set", required=false) SetSpec set). Internally it used the IAuditEventService.find() method

#15 - 01/27/2021 03:43 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#16 - 03/10/2021 02:35 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#17 - 04/16/2021 10:12 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.46
